View Issue Details

IDProjectCategoryView StatusLast Update
0012361MediaMonkey (current)Synchronizationpublic2014-12-12 22:49
Reporterpeke 
PriorityimmediateSeveritymajorReproducibilityalways
Status closedResolutionfixed 
Product Version4.1.5 
Target Version4.1.6Fixed in Version4.1.6 
Summary0012361: Sync Apple devices: Delete all content do not work
DescriptionWhile testting 0012360 (use test sync settings from that bug) I've noticed that number of tracks on device increases even sync is limited to 100 tracks and device didn't contained any music on it prior to first sync, so device should always contain exactly 100 tracks.

Test results:
First sync -> 100 tracks in music app
Second sync -> 84 tracks (there was 16 overlaps/existing tracks on device) -> 121 tracks in Music app (MMW didn't deleted whole content)
Third sync -> 94 Tracks (6 Overlapped) -> 176 Tracks in Music app (Again MMW didn't deleted whole content prior to sync)
Additional Informationhttp://www.mediamonkey.com/forum/viewtopic.php?f=6&t=78571
TagsNo tags attached.
Fixed in build1724

Relationships

related to 0012360 resolvedLudek iOS 8.1.1 failed sync 
related to 0012076 assignedLudek Sync Apple devices: terminating Sync result corruption of music on device 

Activities

peke

2014-11-15 22:31

developer   ~0041029

Use logs supplied with 0012360

Ludek

2014-12-08 12:00

developer   ~0041362

Last edited: 2014-12-08 12:00

View 2 revisions

Resolved, this was reproducable only on the device from Peke's friend that is no longer availabale, i.e. same case as 0012360

peke

2014-12-08 17:21

developer   ~0041367

Unlike 0012360 I can replicate this on any 8.1.1 will retest in ipod touch just to be sure

peke

2014-12-09 00:15

developer   ~0041375

Last edited: 2014-12-09 00:34

View 3 revisions

Problem Still Exists, only difference is that on Touch 4G it shows correct number of files in Music app, but on iPhone 4S 8.1.1 files still exist and show 182/190 tracks and some are playable, but others just skip.

I created one Continous LOG file and pictures of MMW.

Ludek

2014-12-09 15:00

developer   ~0041382

Last edited: 2014-12-09 15:08

View 4 revisions

I reproduced the failed deletion once and also user experienced this (viz the forum link)

I probably fixed this in build 4.1.6.1724 (based on my tests and foundations)

peke

2014-12-09 15:07

developer   ~0041383

Note: Non Playable were due the failed conversion and test issues with apps that support FLAC Playback.

Ludek

2014-12-09 16:17

developer   ~0041386

Last edited: 2014-12-09 16:18

View 3 revisions

Peke, file with failed conversion is not copied at all, I guess it must have been a file deletion failure. Should be fixed in 1624.

Or maybe the file could be in an unplayable format? I use iFunBox to check that the file exists physically on iPhone/iPod.

peke

2014-12-09 16:44

developer   ~0041388

It was in unplayable format I added FLAC to supported formats when tested TuneShell http://appcrawlr.com/ios/tuneshell-free-music-downloader to test FLAC playback.

peke

2014-12-12 22:49

developer   ~0041450

Verified 1724

I failed once out of 5 and it was on first time I tried with 1724